API to automate your trading
API to automate your trading
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetAutotradedStrategies?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "Account": "string", "ScalingPercentage": 0.1, "StrategyId": 0, "StrategyName": "string", "BrokerId": 0, "BrokerName": "string", "StartDate": "2019-08-24T14:15:22Z", "LastModified": "2019-08-24T14:15:22Z" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Autotrade/GetAutotraders
{ "Results": [ { "Id": 0, "PersonId": 0, "Account": "string", "ScalingPercentage": 0.1, "StrategyId": 0, "StrategyName": "string", "BrokerId": 0, "BrokerName": "string", "StartDate": "2019-08-24T14:15:22Z", "LastModified": "2019-08-24T14:15:22Z" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetAutotradeSettings?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "FirstName": "string", "LastName": "string", "Email": "string", "Country": "string", "State": "string", "Language": "string", "SiteDomain": "string", "BrokerId": 0, "Connection": "string", "IntroducingBrokerId": 0, "IntroducingBroker": "string", "StrategyId": 0, "StrategyName": "string", "Account": "string", "AccountType": 0, "BrokerUserID": "string", "Currency": "string", "SalesRepId": 0, "SalesRep": "string", "IsTradeLeader": true, "IsManualDiscardedPosition": true, "IgnoreManualOrders": true, "IsConfirmationNeeded": true, "IsSyncEnabled": true, "WillSyncToOpenStocksUSA": true, "WillSyncToOpenStocksEurope": true, "WillSyncToOpenOptionsUSA": true, "WillSyncToOpenOptionsEurope": true, "WillSyncToOpenFuturesUSA": true, "WillSyncToOpenFuturesEurope": true, "WillSyncToOpenFuturesAsia": true, "WillSyncToOpenForex": true, "LastSyncStocksUSA": "2019-08-24T14:15:22Z", "LastSyncStocksEurope": "2019-08-24T14:15:22Z", "LastSyncOptionsUSA": "2019-08-24T14:15:22Z", "LastSyncOptionsEurope": "2019-08-24T14:15:22Z", "LastSyncFuturesUSA": "2019-08-24T14:15:22Z", "LastSyncFuturesEurope": "2019-08-24T14:15:22Z", "LastSyncFuturesAsia": "2019-08-24T14:15:22Z", "LastSyncForex": "2019-08-24T14:15:22Z", "IsBrokerEnabled": true, "IsAutotradeDisabled": true, "IsAutotradeDisabledReason": "string", "SyncDisabledReason": "string", "FirstBrokerActivationDate": "2019-08-24T14:15:22Z", "NetLiquidationValue": 0.1, "NetLiquidationValueDate": "2019-08-24T14:15:22Z", "VirtualLimitOrdersEnabled": true, "ScalingPercentage": 0.1, "SettingsLastUpdateUTC": "2019-08-24T14:15:22Z", "Approved": true, "ClosingOrdersOnly": true, "EnabledFutures": true, "FuturesLong": true, "FuturesShort": true, "MinFutures": 0, "MaxFutures": 0, "EnabledForex": true, "ForexEnabledLong": true, "ForexEnabledShort": true, "ForexLotSize": 0, "MinForex": 0, "MaxForex": 0, "EnabledStocks": true, "StocksLong": true, "StocksShort": true, "MaxStocksDollars": 0, "TradeStocksAsCFD": true, "EnabledOptions": true, "OptionsLong": true, "OptionsShort": true, "MinOptions": 0, "MaxOptions": 0 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
Set to TRUE if you want to enable the account for Autotrade. The StartAutotrade endpoint will automatically enable this setting. It may be disabled if your account is delinked by the broker, or if we detect rare unexpected activity in your account such as a margin call, pattern day trader, account becomes restricted by the broker, etc.
curl -i -X PUT \ https://api4-general.collective2.com/Autotrade/SetAutotradeSettings \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ true ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetDashBoard?Account=string&PersonId=0'
{ "Results": [ { "PersonId": 0, "BrokerName": "string", "Account": "string", "StrategyId": 0, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "TodayReturn": 0.1, "TotalReturn": 0.1 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Autotrade/SearchAccounts
{ "Results": [ { "Id": 0, "PersonId": 0, "Account": "string", "BrokerName": "string", "BrokerId": 0, "FirstName": "string", "LastName": "string", "Email": "string", "Language": "string", "WhiteLabelSiteId": 0, "GeoSite": "string", "CountryCode": "string", "DivisionCode": "string", "AuthenticatedDate": "2019-08-24T14:15:22Z" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetAutotradeActiveOrders?Account=string&PersonId=0'
{ "Results": [ { "Id": 0, "OrderId": "string", "StrategyId": 0, "StrategyName": "string", "SignalId": 0, "AvgPx": 0.1, "OrderType": "1", "Side": "1", "OpenClose": "O", "OrderQuantity": 0.1, "Limit": 0.1, "Stop": 0.1, "Tif": "0", "ProfitTarget": 0.1, "StopLoss": 0.1, "DoNotCreateOCAGroup": true, "CancelReplaceSignalId": 0, "ParentSignalId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z", "DoNotSyncToOpen": true, "C2Symbol": { … }, "ExchangeSymbol": { … }, "RejectMessage": "string", "BrokerId": 0, "OrderStatus": "string", "FilledQuantity": 0.1, "AvgFillPrice": 0.1, "PostedDate": "2019-08-24T14:15:22Z", "SignalType": 0, "Info": "string" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetAutotradeHistoricalOrders?Account=string&PersonId=0'
{ "Results": [ { "Id": 0, "OrderId": "string", "StrategyId": 0, "StrategyName": "string", "SignalId": 0, "AvgPx": 0.1, "OrderType": "1", "Side": "1", "OpenClose": "O", "OrderQuantity": 0.1, "Limit": 0.1, "Stop": 0.1, "Tif": "0", "ProfitTarget": 0.1, "StopLoss": 0.1, "DoNotCreateOCAGroup": true, "CancelReplaceSignalId": 0, "ParentSignalId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z", "DoNotSyncToOpen": true, "C2Symbol": { … }, "ExchangeSymbol": { … }, "RejectMessage": "string", "BrokerId": 0, "OrderStatus": "string", "FilledQuantity": 0.1, "AvgFillPrice": 0.1, "PostedDate": "2019-08-24T14:15:22Z", "SignalType": 0, "Info": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Autotrade/GetAutoTradeOpenPositions?Account=string'
{ "Results": [ { "StrategyId": 0, "Quantity": 0.1, "AvgPx": 0.1, "C2Symbol": { … }, "ExchangeSymbol": { … }, "StrategyName": "string", "Currency": "string", "OpenedDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/Autotrade/NewAutotradeOrder \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X DELETE \ 'https://api4-general.collective2.com/Autotrade/CancelAutotradeOrder?Account=string&OrderId=string&PersonId=0'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X PUT \ https://api4-general.collective2.com/Autotrade/ReplaceAutotradeOrder \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Autotrade/GetBrokers
{ "Results": [ { "Id": 0, "Name": "string", "IsEnabled": true, "ConnectionName": "string" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
(optional) TRUE to enable the Futures asset class when autotrading this strategy. Default is FALSE
(optional) Set a maximum number of contracts to hold in a position for this strategy
(optional) TRUE to enable autotrading Forex for this strategy. Default is FALSE
(optional) Set a maximum number of units (each unit on C2 is 1000 currency units) to hold in a position for this strategy
(optional) TRUE to enable autotrading Stocks for this strategy. Default is FALSE
(optional) Set a maximum number of dollars to hold in a position for this strategy (no decimals)
(optional) TRUE to enable autotrading Options for this strategy. Default is FALSE
(optional) TRUE to enable the shorting of Options when autotrading this strategy. Default is FALSE
(optional) Set a maximum number of contracts to hold in a position for this strategy
(optional) TRUE to prevent joining currently open positions in the strategy. Only applies to new Autotrade setups: this setting must not be set when modifing an existing Autotrade setup.
(optional) Dollar value of the automated stop loss which will rest in addition to the strategy stop loss orders
(optional) The Brokerage account username. Only needed for specific Brokers, please enquire with support at help@collective2.com
curl -i -X POST \ https://api4-general.collective2.com/Autotrade/StartAutotrade \ -H 'Content-Type: application/json' \ -d '{}'
curl -i -X GET \ https://api4-general.collective2.com/Autotrade/GetSimResults
{ "Results": [ { "PersonId": 0, "FirstName": "string", "LastName": "string", "Email": "string", "Account": "string", "StrategyId": 0, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "StartEquity": 0, "EndEquity": 0, "TotalReturn": 0.1, "TotalDelta": 0.1, "ScalingFactor": 0 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X PUT \ https://api4-general.collective2.com/Autotrade/ResetPaperTrade \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ true ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/Autotrade/SyncPositionsToOpen \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "StrategyId": 0, "Success": true, "Reason": "string", "ReasonCode": 0 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/General/Hello \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ "string" ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/General/GetProfile
{ "Results": [ { "Id": 0, "Alias": "string", "FirstName": "string", "LastName": "string", "Email": "string", "Phone": "string", "IsPhoneVerified": true, "Language": "string", "WhiteLabelSiteId": 0, "CountryCode": "string", "DivisionCode": "string", "Created": "2019-08-24T14:15:22Z", "LastLoggedIn": "2019-08-24T14:15:22Z", "LastIP": "string", "IsEmailValidated": true, "IsAlive": true, "ApprovedAccounts": [ … ], "IsManager": true, "IsInvestor": true, "GeoSite": "string", "IsGeoSiteAdmin": true, "SupportCompanyName": "string", "SupportSiteURL": "string", "SupportEmail": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
Search profiles using any field combination. Partial matches will be returned. Paginated endpoint. Only Admins, Geo and White-Label Admins can access this endpoint. If you're a GeoSite admin, you will see all your GeoSite members including your WhiteLabel members. If you're a WhiteLabel admin, you will see your WhiteLabel members, but not other GeoSite members. If you're neither, you will get a 403 error.
curl -i -X GET \ https://api4-general.collective2.com/General/SearchProfiles
{ "Results": [ { "Id": 0, "Alias": "string", "FirstName": "string", "LastName": "string", "Email": "string", "Phone": "string", "IsPhoneVerified": true, "Language": "string", "WhiteLabelSiteId": 0, "CountryCode": "string", "DivisionCode": "string", "Created": "2019-08-24T14:15:22Z", "LastLoggedIn": "2019-08-24T14:15:22Z", "LastIP": "string", "IsEmailValidated": true, "IsAlive": true, "ApprovedAccounts": [ … ], "IsManager": true, "IsInvestor": true, "GeoSite": "string", "IsGeoSiteAdmin": true, "SupportCompanyName": "string", "SupportSiteURL": "string", "SupportEmail": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X PUT \ https://api4-general.collective2.com/General/UpdateProfile \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "PersonId": 0, "Csrf": "string" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/General/GetInvestorPlanSubscriptions?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "LicenseType": "string", "LicenseTypeId": 0, "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "IsRecurring": true, "Cost": 0.1 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/General/GetManagerPlanSubscriptions?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "LicenseType": "string", "LicenseTypeId": 0, "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "IsRecurring": true, "Cost": 0.1 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/General/GetSubscribedStrategies?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "StrategyId": 0, "StrategyName": "string", "IsSimulation": true, "IsPaperTrade": true, "IsAlive": true, "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "MonthlyCost": 0.1 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/General/GetAccessKey
{ "Results": [ { "Id": 0, "AccessKey": "string", "PersonId": 0, "FirstName": "string", "LastName": "string", "Email": "string", "WhiteLabelSiteId": 0, "Role": "string", "Message": "string", "CreateDate": "2019-08-24T14:15:22Z", "DeleteDate": "2019-08-24T14:15:22Z", "Comment": "string" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyDetails?StrategyId=0'
{ "Results": [ { "StrategyId": 0, "StrategyName": "string", "IsAlive": true, "StartDate": "2019-08-24T14:15:22Z", "PrimarySecurityTypes": "string", "SecurityTypesEnabled": { … }, "MonthlyCost": 0.1, "StrategyOwnerId": 0, "StrategyOwnerName": "string", "SuggestedCapital": 0, "LastModified": "2019-08-24T14:15:22Z", "Score": 0, "IsTradeOwnSystem": true, "WhiteLabelSiteId": 0, "IsPrivate": true, "Aum": 0, "AuM_NumberOfAccounts": 0, "Return": 0.1, "ReturnLabel": "string", "Equity": 0.1, "Cash": 0.1, "StartingCash": 0.1, "ProfitFactor": 0.1, "CashDividends": 0.1, "BuyingPower": 0.1, "MarginUsed": 0.1, "AgeInDays": 0, "ModelAccountValue": 0.1, "NumTrades": 0, "NumWinners": 0, "NumLosers": 0, "PercentWinTrades": 0.1, "SumDollarWinners": 0.1, "SumDollarLosers": 0.1, "NumMonths": 0, "WinMonthsInUI": 0, "WinMonths": 0.1, "WinMonthsRatio": 0.1, "MaxDrawdown": 0.1, "MaxDrawdownDays": 0.1, "MaxDrawdownStartDate": "string", "MaxDrawdownEndDate": "string", "AvgWinDollars": 0.1, "AvgLossDollars": 0.1, "AvgTradeDuration": 0.1, "CorrelationSP500": 0.1, "SP500Return": 0.1, "ReturnVsSP500": 0.1, "AvgLeverage": 0.1, "MaxLeverage": 0.1, "CorrelationToSP500": 0.1, "Alpha": 0.1, "Beta": 0.1, "Treynor": 0.1, "Sortino": 0.1, "Sharpe": 0.1, "Calmar": 0.1 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Strategies/SearchStrategies
{ "Results": [ { "Id": 0, "StrategyId": 0, "IsAlive": true, "IsPrivate": true, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "SecurityTypesEnabled": { … }, "MonthlyCost": 0.1, "StrategyOwnerId": 0, "WhiteLabelSiteId": 0 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Strategies/GetLeaderBoard
{ "Results": [ { "Id": 0, "StrategyId": 0, "IsAlive": true, "IsPrivate": true, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "SecurityTypesEnabled": { … }, "MonthlyCost": 0.1, "StrategyOwnerId": 0, "WhiteLabelSiteId": 0 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetSubscribers?StrategyId=0'
{ "Results": [ { "Id": 0, "StrategyId": 0, "StrategyName": "string", "PersonId": 0, "SubscriptionId": 0, "SubscriberId": 0, "IsStrategyOwner": true, "Alias": "string", "FirstName": "string", "LastName": "string", "Email": "string", "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "BasePrice": 0.1, "Markup": 0.1, "Cost": 0.1, "LastTransactionDate": "2019-08-24T14:15:22Z", "LastTransactionAmount": 0.1, "IsResale": 0.1, "WhiteLabelSiteId": 0, "GeoSiteId": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Strategies/GetSubscriptionRevenue
{ "Results": [ { "Id": 0, "StrategyId": 0, "StrategyName": "string", "PersonId": 0, "SubscriptionId": 0, "SubscriberId": 0, "IsStrategyOwner": true, "Alias": "string", "FirstName": "string", "LastName": "string", "Email": "string", "StartDate": "2019-08-24T14:15:22Z", "EndDate": "2019-08-24T14:15:22Z", "BasePrice": 0.1, "Markup": 0.1, "Cost": 0.1, "LastTransactionDate": "2019-08-24T14:15:22Z", "LastTransactionAmount": 0.1, "IsResale": 0.1, "WhiteLabelSiteId": 0, "GeoSiteId": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/Strategies/NewStrategyOrder \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X DELETE \ 'https://api4-general.collective2.com/Strategies/CancelStrategyOrder?SignalId=0&StrategyId=0'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X PUT \ https://api4-general.collective2.com/Strategies/ReplaceStrategyOrder \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "SignalId": 0, "ProfitTargetSignalId": 0, "StopLossSignalId": 0, "ExitSignalsOCAGroupId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyActiveOrders?StrategyIds=0'
{ "Results": [ { "Id": 0, "OrderId": "string", "StrategyId": 0, "StrategyName": "string", "SignalId": 0, "AvgPx": 0.1, "OrderType": "1", "Side": "1", "OpenClose": "O", "OrderQuantity": 0.1, "Limit": 0.1, "Stop": 0.1, "Tif": "0", "ProfitTarget": 0.1, "StopLoss": 0.1, "DoNotCreateOCAGroup": true, "CancelReplaceSignalId": 0, "ParentSignalId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z", "DoNotSyncToOpen": true, "C2Symbol": { … }, "ExchangeSymbol": { … }, "RejectMessage": "string", "BrokerId": 0, "OrderStatus": "string", "FilledQuantity": 0.1, "AvgFillPrice": 0.1, "PostedDate": "2019-08-24T14:15:22Z", "SignalType": 0, "Info": "string" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyOpenPositions?StrategyIds=0'
{ "Results": [ { "StrategyId": 0, "Quantity": 0.1, "AvgPx": 0.1, "C2Symbol": { … }, "ExchangeSymbol": { … }, "StrategyName": "string", "Currency": "string", "OpenedDate": "2019-08-24T14:15:22Z" } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Strategies/GetStrategyHistoricalOrders
{ "Results": [ { "Id": 0, "OrderId": "string", "StrategyId": 0, "StrategyName": "string", "SignalId": 0, "AvgPx": 0.1, "OrderType": "1", "Side": "1", "OpenClose": "O", "OrderQuantity": 0.1, "Limit": 0.1, "Stop": 0.1, "Tif": "0", "ProfitTarget": 0.1, "StopLoss": 0.1, "DoNotCreateOCAGroup": true, "CancelReplaceSignalId": 0, "ParentSignalId": 0, "ParkedUntilDate": "2019-08-24T14:15:22Z", "DoNotSyncToOpen": true, "C2Symbol": { … }, "ExchangeSymbol": { … }, "RejectMessage": "string", "BrokerId": 0, "OrderStatus": "string", "FilledQuantity": 0.1, "AvgFillPrice": 0.1, "PostedDate": "2019-08-24T14:15:22Z", "SignalType": 0, "Info": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/Strategies/AddStrategy \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "StrategyId": 0 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X PUT \ https://api4-general.collective2.com/Strategies/UpdateStrategy \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "StrategyId": 0 } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyHistoricalEquity?CommissionPlan=string&StrategyId=0'
{ "Results": [ { "StrategyId": 0, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "SecurityTypesEnabled": { … }, "MonthlyCost": 0.1, "StrategyOwnerId": 0, "MonthlyResults": [ … ] } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyHistoricalDailyEquity?CommissionPlan=string&StrategyId=0'
{ "Results": [ { "StrategyId": 0, "StrategyName": "string", "StartDate": "2019-08-24T14:15:22Z", "SecurityTypesEnabled": { … }, "MonthlyCost": 0.1, "StrategyOwnerId": 0, "MonthlyResults": [ … ] } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetStrategyHistoricalClosedTrades?CommissionPlan=string'
{ "Results": [ { "Id": 0, "TradeId": 0, "StrategyId": 0, "OpenDate": "2019-08-24T14:15:22Z", "CloseDate": "2019-08-24T14:15:22Z", "AvgOpenFillPrice": 0.1, "AvgCloseFillPrice": 0.1, "OpenedQuantity": 0.1, "ClosedQuantity": 0.1, "OpenSide": "1", "CloseSide": "1", "ProfitLoss": 0.1, "Commission": 0.1, "MaxDrawdown": 0.1, "MaxDrawdown_DateCalculated": "2019-08-24T14:15:22Z", "MaxDrawdown_WorstPrice": 0.1, "MaxDrawdown_WorstPriceDate": "2019-08-24T14:15:22Z", "MaxDrawdown_StrategyEquity": 0.1, "MaxDrawdown_EntryPrice": 0.1, "MaxDrawdown_OpenQuantity": 0.1, "C2Symbol": { … }, "ExchangeSymbol": { … } } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/Strategies/SetDesiredPositions \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "NewSignals": [ … ], "CanceledSignals": [ … ] } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X POST \ https://api4-general.collective2.com/v2/Strategies/SetDesiredPositions \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ { "NewSignals": [ … ], "CanceledSignals": [ … ], "RejectedSignals": [ … ] } ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetWatchLists?PersonId=0'
{ "Results": [ { "Id": 0, "PersonId": 0, "CreatedDate": "2019-08-24T14:15:22Z", "ListName": "string" } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ 'https://api4-general.collective2.com/Strategies/GetWatchListMembers?PersonId=0&WatchListId=0'
{ "Results": [ { "Id": 0, "AddedDate": "2019-08-24T14:15:22Z", "StrategyId": 0, "PersonId": 0 } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
The WatchList Id. Required except when ModificationAction=ADD and ModificationSource=LIST
The Type of list to modify. Valid values are 'LIST' (for the whole watchlist), 'MEMBER' (for the list items)
curl -i -X POST \ https://api4-general.collective2.com/Strategies/ManageWatchList \ -H 'Content-Type: application/json' \ -d '{}'
{ "Results": [ true ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X DELETE \ 'https://api4-general.collective2.com/Strategies/ManageWatchList?ModificationAction=string&ModificationSource=string&PersonId=0'
{ "Results": [ true ], "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }
curl -i -X GET \ https://api4-general.collective2.com/Strategies/GetSupportedSymbols
{ "Results": [ { "Id": 0, "Currency": "string", "Description": "string", "PointValue": 0.1, "TickSize": 0.1, "DecimalPrecision": 0, "C2Symbol": { … }, "ExchangeSymbol": { … }, "MarginRequirements": { … } } ], "Pagination": { "Prev_cursor": "string", "Next_cursor": "string" }, "ResponseStatus": { "ErrorCode": "string", "Message": "string", "Errors": [ { … } ] } }